* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: system-ui, -apple-system, sans-serif;
}

body {
  background-color: #f8faff;
  min-height: 100vh;
}

/* Header Styles */
header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  padding: 1rem;
  border-bottom: solid 1px #4477FF;
  background-color: #f8faff;
}

.logo {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.logo-text {
  font-size: 1.8rem;
  font-weight: bold;
  line-height: 1;
}

.stars {
  color: #FFD700;
  font-size: 0.75rem;
  letter-spacing: -0.1em;
  margin-bottom: -0.37rem;
  margin-left: -30px;
}

.blue {
  color: #4477FF;
}

.red {
  color: #FF4444;
}

.yellow {
  color: #FFBB44;
}

.green {
  color: #38A169;
}

.balance-header {
  background-color: #EEF3FF;
  color: #4477FF;
  padding: 0.75rem 1.5rem;
  border-radius: 9999px;
  font-weight: 500;
  font-size: 1.125rem;
  padding-top: 1.1em;
}

main {
  padding: 1.5rem;
  max-width: 660px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

h1 {
  font-size: 1.8rem;
  font-weight: bold;
}

.balance {
  color: #2196f3;
  font-size: 1.6rem;
  font-weight: bold;
  margin-bottom: 2rem;
}

.expiry,
.instructions {
  font-size: 1.2rem;
  margin-bottom: 1rem;
  line-height: 1.4;
}

.expiry span#current-date {
  font-weight: 700;
  color: #4e5c81;
  padding: 0.2rem 0.4rem;
  background-color: #EEF3FF;
  border-radius: 0.3rem;
}

.task-card {
  background-color: #f5f5f5;
  border-radius: 1rem;
  padding: 2rem;
  text-align: center;
}

.task-card h3 {
  font-size: 1.5rem;
  font-weight: bold;
  margin-bottom: 1.5rem;
}

.task-card p {
  font-size: 1rem;
  margin-bottom: 1.5rem;
  line-height: 1.4;
  font-weight: 600;
}

.start-button {
  background-color: #2196f3;
  color: white;
  font-size: 1.25rem;
  font-weight: bold;
  padding: 0.75rem 3.8rem;
  border: none;
  border-radius: 0.5rem;
  cursor: pointer;
  transition: background-color 0.2s;
  text-decoration: none;
}

.start-button:hover {
  background-color: #1976d2;
}

/* Footer Styles */
.footer {
  color: rgb(0, 0, 0);
  text-align: center;
  padding: 2rem 1rem;
  margin-top: -2rem;
}

.footer p {
  font-size: 1rem;
  margin-bottom: 0.6rem;
}